net.minecraft.world.gen.structure

## Class ComponentVillageStartPiece

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentVillage
    - - net.minecraft.world.gen.structure.ComponentVillageWell
      - - net.minecraft.world.gen.structure.ComponentVillageStartPiece

-     public class ComponentVillageStartPiece
      extends ComponentVillageWell

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BiomeGenBase` | `biome`
    `ArrayList` | `field_74930_j`
    `ArrayList` | `field_74932_i`
    `boolean` | `inDesert` Boolean that determines if the village is in a desert or not.
    `ArrayList` | `structureVillageWeightedPieceList` Contains List of all spawnable Structure Piece Weights.
    `StructureVillagePieceWeight` | `structVillagePieceWeight`
    `int` | `terrainType` World terrain type, 0 for normal, 1 for flap map
    `WorldChunkManager` | `worldChunkMngr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentVillageStartPiece(WorldChunkManager par1WorldChunkManager, int par2, Random par3Random, int par4, int par5, ArrayList par6ArrayList, int par7)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorldChunkManager` | `getWorldChunkManager()`

    - ### Methods inherited from class net.minecraft.world.gen.structure.ComponentVillageWell

      `addComponentParts, buildComponent`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `findIntersecting, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### worldChunkMngr

          public final WorldChunkManager worldChunkMngr

    - #### inDesert

          public final boolean inDesert

      Boolean that determines if the village is in a desert or not.

    - #### biome

          public final BiomeGenBase biome

    - #### terrainType

          public final int terrainType

      World terrain type, 0 for normal, 1 for flap map

    - #### structVillagePieceWeight

          public StructureVillagePieceWeight structVillagePieceWeight

    - #### structureVillageWeightedPieceList

          public ArrayList structureVillageWeightedPieceList

      Contains List of all spawnable Structure Piece Weights. If no more Pieces of a type can be spawned, they are removed from this list

    - #### field_74932_i

          public ArrayList field_74932_i

    - #### field_74930_j

          public ArrayList field_74930_j

  - ### Constructor Detail

    - #### ComponentVillageStartPiece

          public ComponentVillageStartPiece(WorldChunkManager par1WorldChunkManager,
                                    int par2,
                                    Random par3Random,
                                    int par4,
                                    int par5,
                                    ArrayList par6ArrayList,
                                    int par7)

  - ### Method Detail

    - #### getWorldChunkManager

          public WorldChunkManager getWorldChunkManager()